package cn.com.ctop.reimburse.mondule.mapper;

import cn.com.ctop.reimburse.mondule.entity.ReimburseApply;
import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 报销申请提交表
 *
 * @author jeecg-boot
 * 2022-11-21
 * @version V1.0
 */
public interface ReimburseApplyMapper extends BaseMapper<ReimburseApply> {

    List<ReimburseApply> queryPageList(ReimburseApply reimburseApply);

    List<JSONObject> queryList(ReimburseApply reimburseApply);

    List<JSONObject> selectLeaders(@Param("companyId") String companyId);

    void insertRel(@Param("leader") String leader, @Param("applyId") Long applyId);

    List<JSONObject> queryLeaderCompanyList();

    String selectFinalLeaders(@Param("userId") String userId,@Param("companyId") String companyId);

    String selectWelfareLeader(@Param("departName")  String departName);
}
